;
; MEKA - Patches database
; Commands:
;  - Seek <position>            Jump to (ROM) position
;  - Write <byte> [, <byte>..]  Write byte(s) at current position, increase position after each write
; All values are in hexadecimal format.
; If you succeed in hacking games in interesting ways, please be sure
; to send me your patches !
; http://www.smspower.org/meka
;

; Wonderboy 3: Dragon's Trap (multi-language version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Bock
[9C7847B5CB3F875F]
seek, 025B
write, 00, 00

; Monica em: O Resgate (brazilian version)
; Patch rom to allow FM chipset use in European/US mode
; The non-patched game play FM musics only in Japanese mode
; Author: Omar Cornut / Bock
[0E91C33709612BD2]
seek, 025B
write, 00, 00

; American Pro Football
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Bock
[F5E365059B891882]
seek, 05A7
write, AF, 00

; Walter Payton Football
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Bock
[2893A79D37A62301]
seek, 0592
write, AF, 00

; Sport Pad Soccer (Japanese version)
; Fix a bug in the game which prevent it to works without a FM chipset
; Author: Omar Cornut / Bock
[6333A82396B2CF88]
seek, 0173
write, 0C

; Wanted
; Fix a bug in the game which prevent it to works with a FM chipset
; Author: Omar Cornut / Bock
[1E9957BF6F2A4B4F]
seek, 045D
write, 00, 00

; Ninja Gaiden
; Bad dump Sega logo patch
; Author: Omar Cornut / Bock
[4B1A5BE482A63301]
seek, 8004
write, FF

; Sega Basic Level 3 1.0 (European)
; Hardware check patch
; Author: Ricardo Bittencourt
[242CE122F9157C23]
seek, 0000
write, C3

; Sega Basic Level 3 1.1 (Japanese)
; Hardware check patch
; Author: Omar Cornut / Bock
[0261FB18D318752A]
seek, 689c
write, 00, 00, 00

; Sega Music Editor
; Hardware check patch
; Author: Ricardo Bittencourt
[F563D149DA372558]
seek, 0000
write, C3

; 20 em 1
; Disable the first input load, done outside of a loop
; Inputs are updated by interrupt, and at the time the value was
; load, interrupts did not happens. It is very tricky and probably
; due to bad programming. But now no Z80 emulator is cycle precise..
; Author: Omar Cornut / Bock
[02079D9D9AF6B27B]
seek, 0FB5
write, DD, 4E, FF

; Alex Kidd in Miracle World [Bios]
; Allows the Bios dump to run as a cartridge.
; Author: Omar Cornut / Bock
[E7605A0A2D3939B6]
seek, 17EDE
write, 00, 00, 00

; Hang On / Safari Hunt [Bios]
; Allows the Bios dump to run as a cartridge.
; Author: Omar Cornut / Bock
[E48EA39C2A04D150]
seek, 1C12F
write, 00, 00, 00

[21346172A6AAF296]
seek, 26FA
write, 00, 00, 00

